Timekit developers

PUT /apps/:slug

Update an app

Update info/settings for a specific app (registered "clients" that access our API)

Settings are simply key-value pairs. There's two built-in settings that are used by Timekit:

  • name: human readable name for the app
  • disableEmail: boolean that disables all booking emails. default: false
  • callback: a URL that the user should be redirected to after a Google authentication

You can create additional settings that you can retrieve yourself afterwards. Consider it a very simple key-value store with no limitations on value types. Since we merge the settings on our end, you only need to post the keys you wish to update.

Endpoint

PUT https://api.timekit.io/v2/apps/:slug

Parameters

Name In Type Required Default Description
slug path string yes Slug of the app
settings body object yes A key-value object with settings to save/update

Request examples

curl
curl -X PUT \
     -H 'Timekit-App: back-to-the-future' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     -d '{
     			 "settings": {
             "name": "Back to the Future",
             "callback": "http://myapp.io/#/googlecallback"
           }
         }' \
     https://api.timekit.io/v2/apps/back-to-the-future